# interfaces Library API Documentation

Overview | Class Hierarchy | Classes | Classes (annotated) | Members | Namespaces | Source Files

# KTextEditor::DocumentInfoDCOPInterface Class Reference

This is the main interface to the DocumentInfoInterface of KTextEdit. DCOP interface to DocumentInfoInterface. More...

`#include <documentdcopinfo.h>`

Inheritance diagram for KTextEditor::DocumentInfoDCOPInterface:

[legend]
Collaboration diagram for KTextEditor::DocumentInfoDCOPInterface:

[legend]
List of all members.

## DCOP Member Functions

QString | mimeType ()
long | fileSize ()
QString | niceFileSize ()
uint | documentInfoInterfaceNumber ()

## Public Member Functions

| DocumentInfoDCOPInterface (DocumentInfoInterface *Parent, const char *name)
virtual | ~DocumentInfoDCOPInterface ()

## Detailed Description

This is the main interface to the DocumentInfoInterface of KTextEdit. DCOP interface to DocumentInfoInterface.

This will provide a consistant dcop interface to all KDE applications that use it.

Author:
  Ian Reinhart Geiser <geiseri@kde.org>

Definition at line 19 of file documentdcopinfo.h.

## Constructor & Destructor Documentation

DocumentInfoDCOPInterface::DocumentInfoDCOPInterface | ( | DocumentInfoInterface * | Parent,
|  | const char * | name
| ) |

Construct a new interface object for the text editor.

Parameters:

  | Parent | the parent DocumentInfoInterface object that will provide us with the functions for the interface.
  | name | the QObject's name

Definition at line 7 of file documentdcopinfo.cpp.

DocumentInfoDCOPInterface::~DocumentInfoDCOPInterface | ( |  | ) | `[virtual]`

| Destructor Cleans up the object. Definition at line 13 of file documentdcopinfo.cpp.

The documentation for this class was generated from the following files:

- documentdcopinfo.h
- documentdcopinfo.cpp

This file is part of the documentation for interfaces Library Version 3.4.1.
Documentation copyright © 1996-2004 the KDE developers.
Generated on Sat Jun 11 20:35:14 2005 by doxygen 1.4.1 written by Dimitri van Heesch, © 1997-2003